package com.bergerkiller.bukkit.nolagg;

import java.util.List;

import com.bergerkiller.bukkit.common.AsyncTask;
import com.bergerkiller.bukkit.nolagg.meta.WorldMetaData;

public class StackFormer extends AsyncTask {
	public static double stackRadiusSquared;
	public static int stackThreshold = 2;
	private static StackFormer thread;
	private List<WorldMetaData> worlds;	
	
	public static void init() {
		thread = new StackFormer();
	    thread.worlds = WorldMetaData.getWorlds();
		thread.start(true);
	}
	public static void deinit() {
		thread.stop();
		thread = null;
	}
	public void run() {
		try {
			int i = 0;
			while (i < worlds.size()) {
				worlds.get(i).updateStackFormingAsync();
				i++;
			}
			i = 0;
			sleep(50);
		} catch (ArrayIndexOutOfBoundsException ex) {
		} catch (IndexOutOfBoundsException ex) {
		} catch (Throwable t) {
			t.printStackTrace();
		}
	}
		
}
